> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Paystub Report

> Start an asynchronous job to generate paystub documents for employee checks within a date range.



## OpenAPI

````yaml openapi/zeal-api.json post /reports/paystub
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /reports/paystub:
    post:
      summary: Create Paystub Report
      description: Create paystub report.
      operationId: create-paystub-report
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - start_date
                - end_date
                - media_type
              properties:
                companyID:
                  type: string
                  description: ID of the Company
                start_date:
                  type: string
                  description: >-
                    Start date of the dates that span the Paystub Report. Date
                    should be in ISO-8601 format (YYYY-MM-DD).
                  format: date
                end_date:
                  type: string
                  description: >-
                    End date of the dates that span the Paystub Report (will
                    default to today's date if left blank). Date should be in
                    ISO-8601 format (YYYY-MM-DD).
                  format: date
                media_type:
                  type: string
                  description: The media type of the report, only PDF is supported
                  default: pdf
            examples:
              Request Example:
                value:
                  companyID: 0f2341ee141040acea333e132a3ccb462
                  start_date: '2023-12-20'
                  end_date: '2023-12-06'
                  media_type: pdf
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      job_id: 3088e25-115d-4c47-2224-05gh47843f0f
                      status: pending
                      request_body:
                        companyID: 0f2341ee141040acea333e132a3ccb462
                        start_date: '2023-12-20'
                        end_date: 2023-12=06
                        media_type: pdf
                        has_live_key: true
                        report_format: paystub
                      created_at: '2023-12-06T18:05:13.175Z'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      job_id:
                        type: string
                        example: 3088e25-115d-4c47-2224-05gh47843f0f
                      status:
                        type: string
                        example: pending
                      request_body:
                        type: object
                        properties:
                          companyID:
                            type: string
                            example: 0f2341ee141040acea333e132a3ccb462
                          start_date:
                            type: string
                            example: '2023-12-20'
                          end_date:
                            type: string
                            example: 2023-12=06
                          media_type:
                            type: string
                            example: pdf
                          has_live_key:
                            type: boolean
                            example: true
                            default: true
                          report_format:
                            type: string
                            example: paystub
                      created_at:
                        type: string
                        example: '2023-12-06T18:05:13.175Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Must provide a valid companyID
                        code: 50
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Must provide a valid companyID
                        code:
                          type: integer
                          example: 50
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````